Subject: Re: [PATCH] IB/ipoib: Bound the net device to the ipoib_neigh structue

From: Moni Shoua <[email-masked]>
Date: Wed, 10 Oct 2007 18:03:45 +0200

Jay Vosburgh wrote:
> David Miller <[email-masked]> wrote:
> 
>> From: Jeff Garzik <[email-masked]>
>> Date: Tue, 09 Oct 2007 20:56:35 -0400
>>
>>> Jeff Garzik wrote:
>>>> applied patches 1-9
>>>>
>>>> the only thing that was a hiccup during submission is that your email 
>>>> subject lines did not contain a notion of ordering "[PATCH 1/9] ...". 
>>>> But other than that, the git-send-email went flawlessly.
>>> unfortunately it does not seem to build flawlessly:
>> Yeah it doesn't handle Stephen Hemmingers headerops change
>> in net-2.6.24
> 
> 	Gaah.  I'll sort it out and repost.
> 
> 	-J
> 
> ---
> 	-Jay Vosburgh, IBM Linux Technology Center, [email-masked]

Hi Jay, Jeff
Thanks for the help with making the patch work compile under 2.6.24.
However, patch #3 has a missing line in bond_setup_by_slave that should look like this

	bond_dev->header_ops        = slave_dev->header_ops;

I rewrote the patch and also fixed patch #8 that became broken.

I would send the new patches now but there is more....
I also ran a test for the code in the branch of 2.6.24 and found a problem.
I see that ifconfig down doesn't return (for IPoIB interfaces) and it's stuck in napi_disable() in the kernel (any idea why?)

I am trying to solve it now so I'd like to wait a short time before applying these patches. 
I guess that I'll need to add something.

thanks
   MoniS